.cards {
    display: flex;
    flex-direction: row;
    gap: 12px;
    margin: 0 -12px;
    flex-wrap: nowrap;
    overflow-x: auto;
    padding: 20px 12px;
}
.cards::-webkit-scrollbar {
    display: none;
}
.cards {
    scrollbar-width: none; /* Для Firefox */
}
.cards {
    -ms-overflow-style: none;  /* IE и Edge */
}
#list .cards{
    flex-wrap: wrap;
}
.card {
    padding: 12px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    justify-content: flex-start;
    align-items: flex-start;
    border-radius: 12px;
    transition: box-shadow 0.3s ease-in-out;
    position: relative;
    overflow: hidden;
    width: 100%;
    background: #ffffff;
    border: 1px solid #C9CBCF;
    box-shadow: 0 0 8px 1px rgba(185, 205, 217, 0.60);
}

.card:hover {
    background: #FFF;
    box-shadow: 0px 4px 24px 0px rgba(0, 0, 0, 0.10);
}

.card__img {
    width: 100%;
    height: 100%;
    border-radius: 12px;
    object-position: center;
    display: block;
}

.card__content-container, .card__content {
    display: flex;
    flex-direction: column;
    gap: 12px;
    align-items: flex-start;
    text-align: center;
    height: 100%;
    font-size: 18px;
}
.card__content{
    height: calc( 100% - 174px );
}
.card__title {
    font-size: 18px;
    font-weight: 700;
    text-align: left;
    margin: 0;
}

.card__subtitle {
    color: var(--color-text);
    font-size: 14px;
    font-weight: 400;
    line-height: 1.4;
    margin-top: -8px;
}

.card .btn {
    height: 40px;
    line-height: 40px;
    font-size: 16px;
}

.section__bottom-text {
    text-align: center;
    font-size: 18px;
    line-height: 24px;
}

.section__bottom-link {
    justify-content: center;
    display: flex;
    align-items: center;
    gap: 8px;
    color: inherit;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 26px;
    margin-top: 0;
    cursor: pointer;
    text-decoration: underline;
}
.section__bottom-link svg{
    width: 20px;
    height: 20px;
}
.card__link {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    text-indent: -200vw;
}

.objects-not-found {
    margin: 40px auto;
    font-size: 24px;
}

.cards--big .card__img-container {
    order: 2;
}

.cards--big .card__actions {
    order: 5;
}

.cards--big .card__actions .card__actions-price {
    display: none !important;
}

.cards--in-row .object-card .card__info .card__actions-price {
    /* margin: 16px 0 0 0; */
    min-width: 100%;
    justify-content: space-between;
    padding: 11px 12px;
    border-radius: 8px;
    /* background: linear-gradient(90deg, #EAEFFB 0%, #DAE8FD 100%); */
    flex-direction: row;
}
.object-card .card__info .card__actions-price.-contact{
    padding: 0;
    background: none;
}
.card__info .card__actions-price.-contact .btn{
    max-height: 40px;
}
.cards--big .object-card .card__info .card__actions-price {
    display: flex !important;
}

.object-card .card__actions-price {
    padding: 10px 12px;
    box-shadow: 0 0 7px 0 var(--Blue-100, rgba(12, 101, 222, 0.08)) inset;
    border-radius: 8px;
    background: var(--Blue-300, rgba(12, 101, 222, 0.24));
    width: 100%;
    background: var(--Blue-100);
}

.cards--big .recommended.object-card .card__actions-price {
    background: var(--Button, #0B2740);
}

.object-card .card__price-subtitle {
    display: block;
}

.cards--big .recommended.object-card .btn {
    background: #0b66de;
}

.cards--big .recommended.object-card .btn:hover {
    background: #0256bf;
}

.cards--in-row .object-card .card__img-container, .cards--in-row .object-card .card__actions {
    min-width: 100%;
    max-width: 100%;
    height: auto;
}
.cards--in-row .card__content{
        min-width: 100%;
    max-width: 100%;
}
.cards--big .card.recommended {
    background: #0B2740;
}

.cards--big .object-card.recommended .card__special, .cards--big .object-card.recommended .card__subtitle, .cards--big .card.recommended > * {
    color: #ffffff;
    z-index: 1;
    position: relative;
}

.object-card.recommended .card__special path {
    fill: white;
}

.cards--big .card.recommended .card__location path {
    stroke: white;
}

.cards--big .recommended.object-card .card__info .card__actions-price {
    background: #0B2740;
}

.cards--big .object-card.recommended:before {
    content: "";
    width: 279.665px;
    height: 286.103px;
    transform: rotate(26.129deg);
    position: absolute;
    left: -46.001px;
    top: 123px;
    border-radius: 286.103px;
    background: rgba(12, 101, 222, 0.60);
    filter: blur(125px);
    z-index: 0;
}

.cards--big .card__title {
    order: 1;
}

.cards--big .card__stats {
    order: 2;
}

.cards--big .card__info {
    order: 3;
}

.cards--big .card__subtitle {
    order: 3;
}

.similar-list {
    padding: 24px 0 0;
}

.similar-list .cards {
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
    padding: 24px 0 0;
}

.similar-list .card {
    padding: 0;
    background: #E6F2FC;
    border-radius: 12px;
    border: none;
    gap: 12px;
    width: calc( 50% - 6px );
}


.similar-list .card .card__img-container, .similar-list .card .card__img {
    border-radius: 12px 12px 0 0;
    width: 100%;
    contain-intrinsic-size: none;
    height: auto;
    object-fit: contain;
}

.similar-list .card .card__img {
    /* transform: scale(1.2); */
}

.similar-list .card .card__content {
    padding: 0 8px 12px 8px;
    width: 100%;
    align-items: flex-start;
    gap: 8px;
    justify-content: space-between;
    height: 100%;
}

.similar-list .card__title {
    text-align: left;
}

@media screen and (min-width: 768px) {
    .similar-list .cards {
        flex-direction: row;
        flex-wrap: wrap;
    }

    .similar-list .card {
        width: calc( 25% - 9px );
        /* height: auto; */
    }
    .cards--in-row:not(.cards--big) .object-card .card__stats{
        max-height: max-content;
    }
}

@media screen and (min-width: 1024px) {
    .cards {
        flex-wrap: wrap;
        flex-direction: row;
    }

    .card {
        width: calc(33.333333% - 12px);
        padding: 16px;
    }

    .card .btn {
        width: 100%;
        height: 60px;
        line-height: 60px;
        font-size: 18px;
        font-style: normal;
        /* font-weight: 800; */
    }

    .cards--in-row {
        gap: 24px;
    }

    .cards--in-row.cards--big .card {
        width: calc(50% - 16px);
        min-width: calc(50% - 12px);
        max-width: calc(50% - 12px);
        height: auto;
        min-height: auto;
    }

    .cards--in-row .card {
        width: calc(33.3333% - 16px);
        min-width: calc(33.3333% - 8px);
        max-width: calc(33.3333% - 8px);
        height: auto;
        min-height: auto;
    }

    .cards--in-row:not(.cards--big) .object-card .card__stats {
        flex-direction: column;
    }

    .cards--in-row:not(.cards--big) .object-card .card__stats > div {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .cards--in-row:not(.cards--big) .object-card .card__stats .card__price {
        order: 2;
    }

    .cards--in-row .object-card .btn--small, .cards--in-row .object-card .card__special {
        width: 100%;
        position: relative;
        bottom: auto;
    }

    .cards--in-row .object-card .card__actions {
        margin-top: auto;
    }

    .cards--big .object-card .card__info {
        margin: 0;
        justify-content: space-between;
    }

    .similar-list .cards {
        gap: 12px;
    }

    .similar-list .card {
    }

    .similar-list .card .card__img-container, .similar-list .card .card__img {
        /* min-height: 150px; */
    }
}

@media screen and (min-width: 1280px) {
    .cards {
        gap: 12px;
        padding: 24px 0;
    }

    .card {
        padding: 16px;
        flex: 1;
        border-radius: 12px;
    }

    .cards--in-row .card {
        padding: 16px;
    }

    .cards--in-row.cards--big .card {
        padding: 32px;
        min-width: calc(50% - 16px);
        max-width: calc(50% - 16px);
    }

    .card__title {
        font-size: 24px;
    }

    .cards--in-row .card {
        min-width: calc(33.3333% - 8px);
        max-width: calc(33.3333% - 8px);
    }

    .objects.cards--in-row {
        flex-direction: row;
        flex-wrap: wrap;
        gap: 12px;
    }

    .objects.cards--big {
        gap: 32px;
    }

    .cards--in-row .object-card .card__content-container, .cards--in-row .object-card .card__content, .cards--in-row .object-card .card__actions {
        height: auto;
        width: 100%;
        min-height: auto;
        padding: 0;
        border: none;
    }

    .cards--in-row .object-card .card__actions-price {
        justify-content: space-between;
        flex-direction: row;
    }

    .cards--big .object-card .card__info .card__actions-price {
        min-width: auto;
        width: auto;
        margin: 0;
        gap: 16px;
    }

    .card .btn {
        height: 60px;
        line-height: 60px;
        font-size: 18px;
    }
    .similar-list {
        padding: 40px 0;
    }

    .similar-list .card .card__img-container, .similar-list .card .card__img {
        /* min-height: 184px; */
    }

    .similar-list .cards {
        gap: 16px;
        flex-wrap: nowrap;
    }

    .similar-list .card .card__content {
        padding: 8px 16px 16px 16px;
    }

    .similar-list .card .card__title {
    font-size: 20px;
    font-weight: 600;
    }

    .similar-list .card .card__price {
        font-size: 16px;
        margin-top: 8px;
    }
    .similar-list .card .card__price b{
        font-size: 18px;
    }

    .similar-list .card {
        width: 100%;
    }
}

@media screen and (min-width: 1600px) {
    .objects.cards--in-row {
        gap: 24px;
    }

    .cards--in-row .card {
        padding: 24px;
        min-width: calc(33.3333% - 16px);
        max-width: calc(33.3333% - 16px);
    }

    .cards {
        margin: 16px 0;
    }

    .cards--in-row.cards--big .card {
        padding: 48px;
    }
    .section__bottom-link{
        font-size: 18px;
    }
}
